## org.apache.tools.ant.types.resources.selectors
Class Not

    java.lang.Object
      org.apache.tools.ant.types.resources.selectors.Not

All Implemented Interfaces:
  ResourceSelector

    public class Not

extends java.lang.Object
implements ResourceSelector

Not ResourceSelector.

Since:
  Ant 1.7

Constructor Summary
`Not()` Default constructor.
`Not(ResourceSelector s)` Convenience constructor.

Method Summary
`void` `add(ResourceSelector s)` Set the ResourceSelector.
`boolean` `isSelected(Resource r)` Return true if this Resource is selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Not

    public Not()

  Default constructor.

### Not

    public Not(ResourceSelector s)

  Convenience constructor.

  Parameters:
    `s` - the ResourceSelector to negate.

Method Detail

### add

    public void add(ResourceSelector s)

  Set the ResourceSelector.

  Parameters:
    `s` - the ResourceSelector to negate.
  Throws:
    `java.lang.IllegalStateException` - if already set.

### isSelected

    public boolean isSelected(Resource r)

  Return true if this Resource is selected.

  Specified by:
    `isSelected` in interface `ResourceSelector`
  Parameters:
    `r` - the Resource to check.
  Returns:
    whether the Resource was selected.